Overview | Modules | Class Hierarchy | Classes | Members
# tlp::InteractorFactory Class Reference `#include <Interactor.h>` List of all members. ## Public Member Functions virtual ~InteractorFactory () virtual Interactor * createPluginObject (InteractorContext *ic)=0 virtual std::string getMajor () const virtual std::string getMinor () const virtual std::string getTulipMajor () const virtual std::string getTulipMinor () const ## Static Public Member Functions static void initFactory () ## Static Public Attributes static TemplateFactory< InteractorFactory, Interactor, InteractorContext * > * factory ## Constructor & Destructor Documentation
virtual tlp::InteractorFactory::~InteractorFactory | ( |  | ) | `[inline, virtual]`
## Member Function Documentation
virtual Interactor* tlp::InteractorFactory::createPluginObject | ( | InteractorContext * | ic | ) | `[pure virtual]`
virtual std::string tlp::InteractorFactory::getMajor | ( |  | ) | const`[inline, virtual]`
virtual std::string tlp::InteractorFactory::getMinor | ( |  | ) | const`[inline, virtual]`
virtual std::string tlp::InteractorFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`
virtual std::string tlp::InteractorFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`
static void tlp::InteractorFactory::initFactory | ( |  | ) | `[inline, static]`
## Member Data Documentation
TemplateFactory<InteractorFactory,Interactor,InteractorContext *>* tlp::InteractorFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010